function pintaptos(puntos,tam),
%
% Función para pintar los puntos resultado.
%
% pintaptos(puntos,tam);
%
% puntos: Posición de los puntos en el plano [x y]
% tam:    Numero de puntos del tamaño de los marcadores (por defecto, 10)
%
%

% APRENDIZAJE AUTOMÁTICO (Gonzalo Pajares y Jesús M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 4: Redes Neuronales Artificiales
% Autores: José Antonio López Orozco


[fil,col]=size(puntos);
if nargin==1, tam=10; end;

[p,j]=sort(puntos(:,3));
ptos=puntos(j,:);

val=ptos(1,3);
cont=1;

% tipo   (1,2,...) cada valor es un tipo distinto
tipo=['o','x','+','*','s','d']; 

for k=1:fil,
   if (val~=ptos(k,3))
      cont=cont+1;
      val=ptos(k,3);
      if (cont==length(tipo)), cont=1; end;
   end;
   plot(ptos(k,1),ptos(k,2),tipo(cont),'MarkerSize',tam),hold on;
end;

hold off
